RSBag - Enhancement #903

bag-play and friends should create symlinks automatically

02/29/2012 03:47 PM - J. Moringen

Status: Resolved Start date: 02/29/2012
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7

Description

The installation instructions in the RSBag manual explain how to donwload the bag binary and create appropriate symlinks.

However, the bag binary should offer to create these symlinks itself.

Associated revisions

Revision 4e868723 - 03/11/2012 04:14 PM - J. Moringen
Explain symlink creation in manual/preparation.rst
refs #903
- manual/conf.py.in: added replacement main_binary
- manual/preparation.rst: extended explanation of symbolic link
creation; describe new interactive and non-interactive symbolic link

creation

Revision 8aaf57f6 - 03/11/2012 04:31 PM - J. Moringen

Added automatic creation of symlinks in main/main.lisp

fixes #903

- main/main.lisp (main): improved help text; accept create-links

commandline option; ask interactively whether links should be
created
(Y%emaybe-create-link): new function; helper function for creating a
symbolic link if necessary
(Y%emaybe-create-links): new function; helper function for creating

symbolic links for entry points as necessary

Revision 53649897 - 03/11/2012 04:54 PM - J. Moringen

merged automatic symlink creation from trunk (r373, r371) refs #903

Revision dea798bc - 03/11/2012 04:54 PM - J. Moringen

merged automatic symlink creation from trunk (r373, r371) refs #903

History

#1 - 03/01/2012 03:51 PM - J. Moringen

- Target version changed from 0.6 to rsb-0.7

#2 - 03/01/2012 06:37 PM - J. Moringen

04/10/2024

1/2



http://docs.cor-lab.org/rsbag-manual/trunk/html/index.html

- Subject changed from Should bag-play and friends create symlinks automatically? to bag-play and friends should create symlinks automatically
- Description updated

- Status changed from Feedback to In Progress

- % Done changed from 0 to 30

Since nobody commented on this, | will implement it as proposed.

#3 - 03/01/2012 06:37 PM - J. Moringen

- Assignee set to J. Moringen

#4 - 03/11/2012 04:40 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 30 to 100

Applied in changeset r373.
